﻿using System;
using System.Collections.Generic;
using System.ComponentModel.Composition;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Input;
using Microsoft.Practices.Prism.Commands;

namespace ACVS.Enterprise.Client.Core.Host
{
    [Export(typeof(ShellWindowViewModel))]
    [PartCreationPolicy(CreationPolicy.NonShared)]
    class ShellWindowViewModel
    {
        //[ImportingConstructor]
        public ShellWindowViewModel()
        {
            ExitCommand = new DelegateCommand(OnExited);
        }
        public ICommand ExitCommand { get; private set; }

        private void OnExited()
        {
            Application.Current.Shutdown();
        }
    }
}
