﻿using System;
using System.Collections.Generic;
using System.ComponentModel.Composition;
using System.Linq;
using System.Text;
using Host.Infrastructure;
using Microsoft.Practices.Prism;
using Microsoft.Practices.Prism.MefExtensions.Modularity;
using Microsoft.Practices.Prism.Modularity;
using Microsoft.Practices.Prism.Regions;

namespace ModuleD
{
    [ModuleExport(typeof(ModuleD))]
    public class ModuleD : IModule
    {
        [Import]
        public IRegionManager regionManager;

        public void Initialize()
        {
        }

        [ImportingConstructor]
        public ModuleD(IRegionManager regionMgr)
        {
            regionManager = regionMgr;

            UriQuery query = new UriQuery();
            query.Add("TabDisplayName", "ModuleDView");
            regionManager.RequestNavigate(RegionNames.ObjectsRegion, new Uri("ModuleDView" + query, UriKind.Relative),
                (NavigationResult nr) =>
                {
                    var error = nr.Error;
                    var result = nr.Result;
                    // put a breakpoint here and checkout what NavigationResult contains
                });
        }
    }
}
